{
  "_from": "oblivious-set@1.0.0",
  "_id": "oblivious-set@1.0.0",
  "_inBundle": false,
  "_integrity": "sha512-z+pI07qxo4c2CulUHCDf9lcqDlMSo72N/4rLUpRXf6fu+q8vjt8y0xS+Tlf8NTJDdTXHbdeO1n3MlbctwEoXZw==",
  "_location": "/oblivious-set",
  "_phantomChildren": {},
  "_requested": {
    "type": "version",
    "registry": true,
    "raw": "oblivious-set@1.0.0",
    "name": "oblivious-set",
    "escapedName": "oblivious-set",
    "rawSpec": "1.0.0",
    "saveSpec": null,
    "fetchSpec": "1.0.0"
  },
  "_requiredBy": [
    "/broadcast-channel"
  ],
  "_resolved": "https://nexus.boos.solutions/repository/gpb-npm/oblivious-set/-/oblivious-set-1.0.0.tgz",
  "_shasum": "c8316f2c2fb6ff7b11b6158db3234c49f733c566",
  "_spec": "oblivious-set@1.0.0",
  "_where": "/root/farzoom/eco-ebg/node_modules/broadcast-channel",
  "author": {
    "name": "pubkey"
  },
  "bugs": {
    "url": "https://github.com/pubkey/oblivious-set/issues"
  },
  "bundleDependencies": false,
  "deprecated": false,
  "description": "Like a JavaScript Set() but with a TTL for entries",
  "devDependencies": {
    "@types/mocha": "8.2.2",
    "@types/node": "14.17.1",
    "assert": "2.0.0",
    "async-test-util": "1.7.3",
    "mocha": "8.4.0",
    "rimraf": "3.0.2",
    "ts-node": "10.0.0",
    "tslint": "6.1.3",
    "typescript": "4.3.2"
  },
  "homepage": "https://github.com/pubkey/oblivious-set#readme",
  "jsnext:main": "./dist/es/index.js",
  "license": "MIT",
  "main": "./dist/lib/index.js",
  "module": "./dist/es/index.js",
  "name": "oblivious-set",
  "repository": {
    "type": "git",
    "url": "git+https://github.com/pubkey/oblivious-set.git"
  },
  "scripts": {
    "build": "rimraf -r ./dist && npm run transpile && npm run transpile:es",
    "lint": "tslint --project .",
    "lint:fix": "tslint --project . --fix",
    "prepublish": "npm run build",
    "test": "mocha -r ts-node/register test/unit.test.ts --timeout 20000 --bail",
    "transpile": "tsc -p ./ && echo '# transpile es5 (require) sucess!'",
    "transpile:es": "tsc -p ./ --target ES5 --module ES6 --outDir ./dist/es && echo '# transpile es (modules) sucess!'"
  },
  "sideEffects": false,
  "types": "./dist/es/index.d.ts",
  "version": "1.0.0"
}
